#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    int n,m,a[100001],x,y;
    long long s=0;
    cin>>n>>m;
    for(i=1;i<=n;i++) cin>>a[i];
    for(i=0;i<m;i++)
    {
        cin>>x>>y;
        s=s+abs(a[x]+a[y]);
    }
    cout<<s<<endl;
    return 0;
}